<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreatePlansTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: plans
         */
        Schema::create('plans', function ($table) {
            $table->increments('id');
            $table->string('name', 255)->nullable();
            $table->decimal('min_investment', 10,2)->nullable();
            $table->decimal('max_investment', 10,2)->nullable();
            $table->boolean('interest_after_matured')->nullable();
            $table->boolean('release_deposit')->nullable();
            $table->float('profit')->nullable();
            $table->enum('interest_period_type', [])->nullable();
            $table->string('investment_duration', 100)->nullable();
            $table->enum('investment_duration_type', [])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('plans');
    }
}
