<?php

namespace Litecms\Plan\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PlanTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Plan\Models\Plan $plan)
    {
        return [
            'id'                => $plan->getRouteKey(),
            'key'               => [
                'public'    => $plan->getPublicKey(),
                'route'     => $plan->getRouteKey(),
            ], 
            'name'              => $plan->name,
            'min_investment'    => $plan->min_investment,
            'max_investment'    => $plan->max_investment,
            'interest_after_matured' => $plan->interest_after_matured,
            'release_deposit'   => $plan->release_deposit,
            'profit'            => $plan->profit,
            'interest_period_type' => $plan->interest_period_type,
            'investment_duration' => $plan->investment_duration,
            'investment_duration_type' => $plan->investment_duration_type,
            'url'               => [
                'public'    => trans_url('plan/'.$plan->getPublicKey()),
                'user'      => guard_url('plan/plan/'.$plan->getRouteKey()),
            ], 
            'status'            => trans('app.'.$plan->status),
            'created_at'        => format_date($plan->created_at),
            'updated_at'        => format_date($plan->updated_at),
        ];
    }
}